Update disk ownership, change authentication keys, or sanitize disks
Updates disk ownership, change authentication keys, or sanitize disks to manage disk configurations and security settings effectively.
HTTP method and endpoint
PATCH /storage/disks
Introduced in
ONTAP 9.7
Usage notes
Updates disk ownership, changes authentication keys, or sanitizes disks.
Related ONTAP commands
-
storage disk assign -
storage disk removeowner -
storage encryption disk modify -data-key-id -
storage encryption disk sanitize -
security key-manager key query -key-type NSE-AK -
storage disk unfail
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
query |
False |
Disk name |
node |
string |
query |
False |
Node to assign disk
|
pool |
string |
query |
False |
Pool to assign disk to
|
encryption_operation |
string |
query |
False |
Name of the operation to apply to encrypting disks.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
aggregates |
array[aggregates] |
List of aggregates sharing this disk |
bay |
integer |
Disk shelf bay |
bytes_per_sector |
integer |
Bytes per sector. |
class |
string |
Disk class |
compliance_standard |
string |
Security standard that the device is certified to. |
container_type |
string |
Type of overlying disk container |
control_standard |
string |
Standard that the device supports for encryption control. |
dr_node |
||
drawer |
||
effective_type |
string |
Effective Disk type |
encryption_operation |
string |
This field should only be set as a query parameter in a PATCH operation. It is input only and won't be returned by a subsequent GET. |
error |
array[disk_error_info] |
List of disk errors information. |
fips_certified |
boolean |
|
firmware_version |
string |
|
home_node |
||
key_id |
||
local |
boolean |
Indicates if a disk is locally attached versus being remotely attached. A locally attached disk resides in the same proximity as the host cluster versus been attached to the remote cluster. |
location |
string |
Physical location of the disk |
model |
string |
|
name |
string |
Cluster-wide disk name |
node |
||
outage |
Indicates if a disk has an entry in the failed disk registry, along with the reason for the failure. |
|
overall_security |
string |
Overall Security rating, for FIPS-certified devices. |
paths |
array[disk_path_info] |
List of paths to a disk |
physical_size |
integer |
Physical size, in units of bytes |
pool |
string |
Pool to which disk is assigned |
protection_mode |
string |
Mode of drive data protection and FIPS compliance. Possible values are:
|
rated_life_used_percent |
integer |
Percentage of rated life used |
right_size_sector_count |
integer |
Number of usable disk sectors that remain after subtracting the right-size adjustment for this disk. |
rpm |
integer |
Revolutions per minute |
sector_count |
integer |
Number of sectors on the disk. |
self_encrypting |
boolean |
|
serial_number |
string |
|
shelf |
Shelf |
|
state |
string |
State |
stats |
||
storage_pool |
Shared Storage Pool |
|
type |
string |
Disk interface type |
uid |
string |
The unique identifier for a disk |
usable_size |
integer |
|
vendor |
string |
|
virtual |
Information about backing storage for disks on cloud platforms. |
Example request
{
"aggregates": [
{
"name": "aggr1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
],
"bay": 1,
"bytes_per_sector": 520,
"class": "solid_state",
"compliance_standard": "FIPS 140-2",
"container_type": "spare",
"control_standard": "TCG Enterprise",
"dr_node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"effective_type": "vmdisk",
"encryption_operation": "string",
"error": [
{
"type": "notallflashdisk"
}
],
"firmware_version": "NA51",
"home_node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"key_id": {
"data": "string",
"fips": "string"
},
"location": "node-01",
"model": "X421_HCOBE450A10",
"name": "1.0.1",
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"overall_security": "Level 2",
"paths": [
{
"disk_path_name": "vsim4:3a.10",
"initiator": "3a",
"node.name": "vsim4",
"node.uuid": "cf7fe057-526d-11ec-af4e-0050568e9df0",
"port_name": "A",
"port_type": "sas",
"vmdisk_hypervisor_file_name": "xvds vol0a0567ae156ca59f6",
"wwnn": "5000c2971c1b2b8c",
"wwpn": "5000c2971c1b2b8d"
}
],
"physical_size": 228930,
"pool": "pool0",
"protection_mode": "data",
"rated_life_used_percent": 10,
"right_size_sector_count": 1172123568,
"rpm": 15000,
"sector_count": 1172123568,
"serial_number": "KHG2VX8R",
"shelf": {
"uid": "7777841915827391056"
},
"state": "present",
"stats": {
"average_latency": 3,
"iops_total": 12854,
"path_error_count": 0,
"power_on_hours": 21016,
"throughput": 1957888
},
"storage_pool": {
"name": "storage_pool_1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"type": "ssd",
"uid": "002538E5:71B00B2F:00000000:00000000:00000000:00000000:00000000:00000000:00000000:00000000",
"usable_size": 959934889984,
"vendor": "NETAPP",
"virtual": {
"container": "nviet12122018113936-rg",
"object": "f1fu63se",
"storage_account": "nviet12122018113936ps",
"target_address": "string"
}
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
720951 |
Unable to unfail the disk. |
721029 |
Failed to assign disks to a pool. |
721066 |
Node is outside the list of controllers for disk. |
721084 |
An invalid pool name was specified. |
721085 |
The node name was not specified. |
1441795 |
Setting the data key ID to the manufacture secure ID is not allowed when in FIPS-compliance mode. |
14155777 |
The operation failed on one or more disks. |
14155778 |
No self-encrypting disks were specified. |
14155779 |
Status from a node shows that a conflicting operation has occurred. Some disk controls might have changed. |
14155780 |
Could not retrieve the required key ID from the key manager. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
aggregates
Aggregate
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
dr_node
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
drawer
| Name | Type | Description |
|---|---|---|
id |
integer |
|
slot |
integer |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
The message and code detailing the error state of this disk.
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
disk_error_info
| Name | Type | Description |
|---|---|---|
type |
string |
Disk error type. |
home_node
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
key_id
| Name | Type | Description |
|---|---|---|
data |
string |
Key ID of the data authentication key |
fips |
string |
Key ID of the FIPS authentication key |
node
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
error
This error message and code explaining the disk failure.
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
outage
Indicates if a disk has an entry in the failed disk registry, along with the reason for the failure.
| Name | Type | Description |
|---|---|---|
persistently_failed |
boolean |
Indicates whether RAID maintains the state of this disk as failed across reboots. |
disk_path_info
| Name | Type | Description |
|---|---|---|
disk_path_name |
string |
Path-based disk name. |
initiator |
string |
Initiator port. |
node.name |
string |
Controller with the initiator port for this path. |
node.uuid |
string |
Controller UUID, to identify node for this path. |
port_name |
string |
Name of the disk port. |
port_type |
string |
Disk port type. |
vmdisk_hypervisor_file_name |
string |
Virtual disk hypervisor file name. |
wwnn |
string |
Target device's World Wide Node Name. |
wwpn |
string |
Target device's World Wide Port Name. |
shelf
Shelf
| Name | Type | Description |
|---|---|---|
uid |
string |
stats
| Name | Type | Description |
|---|---|---|
average_latency |
integer |
Average I/O latency across all active paths, in milliseconds. |
iops_total |
integer |
Total I/O operations per second read and written to this disk across all active paths. |
path_error_count |
integer |
Disk path error count; failed I/O operations. |
power_on_hours |
integer |
Hours powered on. |
throughput |
integer |
Total disk throughput per second across all active paths, in bytes. |
storage_pool
Shared Storage Pool
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
virtual
Information about backing storage for disks on cloud platforms.
| Name | Type | Description |
|---|---|---|
container |
string |
Container name of the virtual disk. |
object |
string |
Object name of the virtual disk. |
storage_account |
string |
Storage account name of the virtual disk. |
target_address |
string |
Target address of the virtual disk. |
disk
| Name | Type | Description |
|---|---|---|
aggregates |
array[aggregates] |
List of aggregates sharing this disk |
bay |
integer |
Disk shelf bay |
bytes_per_sector |
integer |
Bytes per sector. |
class |
string |
Disk class |
compliance_standard |
string |
Security standard that the device is certified to. |
container_type |
string |
Type of overlying disk container |
control_standard |
string |
Standard that the device supports for encryption control. |
dr_node |
||
drawer |
||
effective_type |
string |
Effective Disk type |
encryption_operation |
string |
This field should only be set as a query parameter in a PATCH operation. It is input only and won't be returned by a subsequent GET. |
error |
array[disk_error_info] |
List of disk errors information. |
fips_certified |
boolean |
|
firmware_version |
string |
|
home_node |
||
key_id |
||
local |
boolean |
Indicates if a disk is locally attached versus being remotely attached. A locally attached disk resides in the same proximity as the host cluster versus been attached to the remote cluster. |
location |
string |
Physical location of the disk |
model |
string |
|
name |
string |
Cluster-wide disk name |
node |
||
outage |
Indicates if a disk has an entry in the failed disk registry, along with the reason for the failure. |
|
overall_security |
string |
Overall Security rating, for FIPS-certified devices. |
paths |
array[disk_path_info] |
List of paths to a disk |
physical_size |
integer |
Physical size, in units of bytes |
pool |
string |
Pool to which disk is assigned |
protection_mode |
string |
Mode of drive data protection and FIPS compliance. Possible values are:
|
rated_life_used_percent |
integer |
Percentage of rated life used |
right_size_sector_count |
integer |
Number of usable disk sectors that remain after subtracting the right-size adjustment for this disk. |
rpm |
integer |
Revolutions per minute |
sector_count |
integer |
Number of sectors on the disk. |
self_encrypting |
boolean |
|
serial_number |
string |
|
shelf |
Shelf |
|
state |
string |
State |
stats |
||
storage_pool |
Shared Storage Pool |
|
type |
string |
Disk interface type |
uid |
string |
The unique identifier for a disk |
usable_size |
integer |
|
vendor |
string |
|
virtual |
Information about backing storage for disks on cloud platforms. |